Name:		chromium-get-snap
Version:	0.12
Release:	1%{?dist}
Summary:	Chromium snapshot downloader and compat lib wrapper

Group:		Devel
License:	GPLv2+

Source0:        http://petersen.fedorapeople.org/chromium-get-snap/%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
ExclusiveArch:  %{ix86}, x86_64
Requires:	nss, nspr, nss-mdns
Requires:       GConf2, gtk2, alsa-lib
Requires:       gtk-nodoka-engine
Requires:       wget

%description
Scripts to download chrome-linux builds with compat lib wrapping for ns libs

# nothing to debug here
%global debug_package %{nil}

%prep
%setup -q

%build
%{nil}

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT{%{_bindir},%{_libdir}}

install --mode=755 -p %{name} chromium-snapshot $RPM_BUILD_ROOT%{_bindir}

for i in nss3 nssutil3 smime3 ssl3; do
  ln -s /%{_lib}/lib${i}.so $RPM_BUILD_ROOT%{_libdir}/lib${i}.so.1d
done

for i in nspr4 plds4 plc4; do
  ln -s /%{_lib}/lib${i}.so $RPM_BUILD_ROOT%{_libdir}/lib${i}.so.0d
done

install -m 644 -D chromium-snapshot.desktop $RPM_BUILD_ROOT%{_datadir}/applications/chromium-snapshot.desktop
install -m 644 -D chromium-browser.png $RPM_BUILD_ROOT%{_datadir}/pixmaps/chromium-snapshot.png

%post -p /sbin/ldconfig


%postun -p /sbin/ldconfig


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc COPYING README
%{_bindir}/%{name}
%{_bindir}/chromium-snapshot
%{_libdir}/lib*d
%{_datadir}/applications/*.desktop
%{_datadir}/pixmaps/*.png


%changelog
* Mon Sep 21 2009 Jens Petersen <petersen@redhat.com> - 0.12-1
- 64bit chromium continuous devel builds now available
- use a tarball for source
- add COPYING

* Thu Sep 10 2009 Jens Petersen <petersen@redhat.com> - 0.11-1
- fix the download part of new chromium-snapshot script

* Thu Sep 10 2009 Jens Petersen <petersen@redhat.com> - 0.10-1
- drop ~/bin hacks and add _bindir/chromium/snapshot to run

* Thu Sep 10 2009 Jens Petersen <petersen@redhat.com> - 0.9-1
- add desktop file and icon

* Mon Aug 31 2009 Jens Petersen <petersen@redhat.com> - 0.8-3
- require wget

* Fri Aug 14 2009 Jens Petersen <petersen@redhat.com> - 0.8-2
- require nss-mdns

* Fri Aug 14 2009 Jens Petersen <petersen@redhat.com> - 0.8-1
- fix borked downloading latest

* Tue Aug 11 2009 Jens Petersen <petersen@redhat.com> - 0.7-1
- add optional arg to chromium-get-snap to allow specifying older build
- README file

* Tue Jul 28 2009 Jens Petersen <petersen@redhat.com> - 0.6-1
- make wget download verbose again

* Wed Jul 15 2009 Jens Petersen <petersen@redhat.com> - 0.5-1
- drop the Makefile hack
- no longer require gtk2-immodule-xim

* Sun Jun  7 2009 Jens Petersen <petersen@redhat.com>
- allow local custom Makefile to override
- quieten makefile when installing latest snapshot

* Sun Jun  7 2009 Jens Petersen <petersen@redhat.com> - 0.3-1
- explain about dir label file in error msg

* Sun Jun  7 2009 Jens Petersen <petersen@redhat.com> - 0.2-1
- stage in ~/usr/chromium-snap
- setup up a symlink to ~/bin/chromium
- require gtk-nodoka-engine and gtk-immodule-xim
- don't put Makefile in docs too

* Mon Jun  1 2009 Jens Petersen <petersen@redhat.com> - 0.1-1
- initial script to download latest snapshot
